Subject: can't create new user

From: [email-masked] (Carl Feynman)
Date: Sun, 7 Mar 93 13:42:19 -0800

Date: Sat, 6 Mar 93 15:54:57 -0800
   From: Howard R Doyle <[email-masked]>

   We just installed postgres. I tried to add a new user but haven't
   been very successful. This is a sample of my interaction:

   csh> createuser doyle
   Enter the user's Postgres system id ---> doyle
   ...
   /usr2/postgres/bin/createuser: doyle was NOT added successfully

I had this exact problem.  After much fiddling around, I discovered
that the "postgres system id" should be a number, which is usually the
same as the user number in the /etc/passwd file.

The createuser script could easily be modified to make this totally
non-obvious fact more clear.

--carlf